# Generated from spreedly_subscriptions-2.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name spreedly_subscriptions

Name: rubygem-%{gem_name}
Version: 2.0.3
Release: 1%{?dist}
Summary: Provides a Ruby wrapper for the Spreedly Subscriptions API
License: MIT
URL: https://github.com/spreedly/spreedly_subscriptions_gem
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.8
BuildRequires: ruby
# BuildRequires: rubygem(shoulda)
# BuildRequires: rubygem(mechanize) >= 2.5.1
# BuildRequires: rubygem(mechanize) < 2.6
BuildArch: noarch

%description
This gem provides a convenient Ruby wrapper for the Spreedly Subscriptions
API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/HISTORY.md
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 2.0.3-1
- Initial package
